Loading...
Searching...
No Matches
juce::WeakReference< ObjectType, ReferenceCountingType >::SharedPointer Class Reference

`#include <juce_WeakReference.h>`

## Public Member Functions

| SharedPointer (ObjectType *obj) noexcept
ObjectType * | get () const noexcept
void | clearPointer () noexcept

## Detailed Description

template<class ObjectType, class ReferenceCountingType = ReferenceCountedObject>
class juce::WeakReference< ObjectType, ReferenceCountingType >::SharedPointer

This class is used internally by the WeakReference class - don't use it directly in your code!

See also
  WeakReference

Definition at line 124 of file juce_WeakReference.h.

## Constructor & Destructor Documentation

## SharedPointer()

template<class ObjectType, class ReferenceCountingType = ReferenceCountedObject>

juce::WeakReference< ObjectType, ReferenceCountingType >::SharedPointer::SharedPointer | ( | ObjectType * | obj | ) |

inline explicit noexcept

Definition at line 127 of file juce_WeakReference.h.

## Member Function Documentation

## clearPointer()

template<class ObjectType, class ReferenceCountingType = ReferenceCountedObject>

void juce::WeakReference< ObjectType, ReferenceCountingType >::SharedPointer::clearPointer | ( |  | ) |

inline noexcept

Definition at line 130 of file juce_WeakReference.h.

## get()

template<class ObjectType, class ReferenceCountingType = ReferenceCountedObject>

ObjectType * juce::WeakReference< ObjectType, ReferenceCountingType >::SharedPointer::get | ( |  | ) | const

inline noexcept

Definition at line 129 of file juce_WeakReference.h.

The documentation for this class was generated from the following file:

- juce_WeakReference.h